<div [style.height.px]="tableHeight" style="overflow-y: auto;">
  <mat-table [dataSource]="orders" class="mat-elevation-z8">

    <ng-container matColumnDef="orderUniqueId">
      <mat-header-cell *matHeaderCellDef>Κωδ. παραγγελίας</mat-header-cell>
      <mat-cell *matCellDef="let element">{{element.orderUniqueId}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="customerDisplayName">
      <mat-header-cell *matHeaderCellDef>Πελάτης</mat-header-cell>
      <mat-cell *matCellDef="let element">{{element.customerDisplayName}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="orderDate">
      <mat-header-cell *matHeaderCellDef>Ημ. Παραγγελίας</mat-header-cell>
      <mat-cell *matCellDef="let element">{{element.orderDate}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="completedAt">
      <mat-header-cell *matHeaderCellDef>Ημ. Ολοκλήρωσης</mat-header-cell>
      <mat-cell *matCellDef="let element">{{element.completedAt}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="price">
      <mat-header-cell *matHeaderCellDef>Τιμή</mat-header-cell>
      <mat-cell *matCellDef="let element">{{element.price}} €</mat-cell>
    </ng-container>

    <ng-container matColumnDef="actions">
      <mat-header-cell *matHeaderCellDef>Ενέργειες</mat-header-cell>
      <mat-cell *matCellDef="let element">
        <div fxLayout="row" style="color: var(--primary)">
          <button mat-icon-button (click)="preview(element.id)">
            <mat-icon>
              visibility
            </mat-icon>
          </button>

          <button *ngIf="!isCompleted" mat-icon-button (click)="complete(element.id)" style="color: green;">
            <mat-icon>
              done
            </mat-icon>
          </button>
        </div>
      </mat-cell>
    </ng-container>

    <mat-header-row  *matHeaderRowDef="displayColumns sticky: true"></mat-header-row>
    <mat-row  *matRowDef="let row; columns: displayColumns; "></mat-row>

  </mat-table>
</div>
